# -*- rpm-spec -*-
# $Id: kernel-modules-v4l.spec,v 1.2 2003/11/28 19:59:43 vsu Exp $
#

%define module_name	v4l
%define module_version	2003.11.05
%define module_release	alt3

%define kversion	2.4.22
%define krelease	alt17
%define flavour		std-smp

%ifdef use_ccache
%define kcc "ccache %kgcc"
%else
%define kcc "%kgcc"
%endif

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.17

Summary: Video4Linux hardware drivers
License: GPL
Group: System/Kernel and hardware
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

Source0: kernel-modules-%module_name-Makefile

Patch100: saa7134-bttv-common.patch
Patch101: saa7134-0.2.8-doc-fix.patch
Patch102: saa7134-0.2.8-manli.patch
Patch200: bttv-ov511.patch
Patch300: ov511-bttv-common.patch

ExclusiveOS: Linux

BuildPreReq: kernel-build-tools

%if_enabled ccache
BuildRequires: ccache
%endif

BuildRequires: gcc2.96 rpm >= 4.0.2-75
BuildRequires: kernel-headers-%flavour = %kversion-%krelease
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease

BuildRequires: kernel-source-v4l-bttv-0.7.107
BuildRequires: kernel-source-v4l-ov511-2.26
BuildRequires: kernel-source-v4l-saa7134-0.2.8

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq: coreutils
Prereq:	modutils
Prereq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86
Provides: kernel-modules-%module_name

%package -n kernel-headers-v4l-%flavour
Summary: Video4Linux driver headers
Group: Development/Kernel
PreReq: kernel-headers-%flavour = %kversion-%krelease
PreReq: kernel-headers-modules-%flavour = %kversion-%krelease
Requires(postun): kernel-headers-modules-%flavour = %kversion-%krelease

Provides: kernel-headers-v4l-%kversion-%flavour-%krelease = %version-%release

%description
This package contains Video4Linux driver for various video input devices.

%description -n kernel-headers-v4l-%flavour
This package contains Video4Linux driver headers needed for compiling kernel
modules which interface with these drivers.

%prep
%setup -c -T
%__cp -a %SOURCE0 Makefile
%__tar -jxvf %kernel_src/kernel-source-v4l-bttv-0.7.107.tar.bz2
%__mv kernel-source-v4l-bttv-0.7.107 bttv
%__tar -jxvf %kernel_src/kernel-source-v4l-ov511-2.26.tar.bz2
%__mv kernel-source-v4l-ov511-2.26 ov511
%__tar -jxvf %kernel_src/kernel-source-v4l-saa7134-0.2.8.tar.bz2
%__mv kernel-source-v4l-saa7134-0.2.8 saa7134
%setup -D -T

%patch100 -p1
%patch101 -p0
%patch102 -p0
%patch200 -p1
%patch300 -p1

make patch

%build
make CC=%kcc KERNEL_DIR=%_usrsrc/linux-%kversion-%flavour

%install
%__mkdir_p %buildroot/%module_dir
%makeinstall MODULE_INSTALL_DIR=%buildroot/%module_dir \
	KERNEL_INSTALL_DIR=%buildroot%_prefix/src/linux-%kversion-%flavour \
	DOC_DIR=%buildroot%_docdir/%name-%version-%release
echo "%name = %version-%release" \
	> %buildroot%_prefix/src/linux-%kversion-%flavour/kernel-modules-%module_name.release

%post
/sbin/depmod -a -e -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%postun
[ ! -f /boot/System.map-%kversion-%flavour-%krelease ] || \
/sbin/depmod -a -e -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
/lib/modules/%kversion-%flavour-%krelease
%doc %_docdir/%name-%version-%release

%files -n kernel-headers-v4l-%flavour
%defattr(644,root,root,755)
%_prefix/src/linux-%kversion-%flavour


%changelog
* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.05-alt3.17
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.05-alt2.17
- Fixed kernel-headers-v4l-* subpackage name.
- Fixed spec file name.
- Fixed %%module_name, %%module_dir definitions.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Wed Nov 05 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.05-alt1.17
- Updated ov511 to 2.26.

* Thu Oct 30 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.07-alt3.17
- Renumbered patches.
- Added saa7134-0.2.8-doc-fix.patch - bring CARDLIST in sync with actual driver
  code.
- Added saa7134-0.2.8-manli.patch - support for Manli MuchTV Plus.

* Tue Oct 14 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.07-alt2.17
- Added version-release stamp file to headers subpackage.

* Tue Oct 07 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.07-alt1.17
- Initial release.
